Skip to main content
POST
Create a Plug&Charge key

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

The unique identifier of the user who will own the new Plug&Charge key

Body

application/json

Plug&Charge key creation request

Request payload to register a plug-and-charge contract identifier.

pcid
string
required

identifies the vehicle and must correspond to the provisioning certificate

Example:

"VW123456789ABCDEFG"

contractId
string

Identifies the charging contract and is only accepted in EMA-ID format. Must correspond to the Plug and Charge contract certificate.

Example:

"DE-8PS-CT4UN7OZ3-2"

Response

Plug&Charge key created successfully

Result payload after registering a Plug&Charge contract.

contractId
string
required

in EMA-ID format, must correspond to the Plug&Charge contract certificate.

pcid
string
required

Plug&Charge vehicle identifier (PCID). Is also used as referenceId of the charging key.

keyId
string
required

Plug&Charge keys use the contractId (in EMA-ID format) as the keyIdentifier used for referencing in other endpoints

Example:

"DE-8PS-CT4UN7OZ3-2"